Subject: Ticket Assigned - 9559629695/ Late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 06 Mar 2022 05:51:50 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9559629695/ Late delivery Jachelle                    Hello I’m still waiting for my delivery           09:40 AM, 06th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:40 AM, 06th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:40 AM, 06th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:40 AM, 06th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:40 AM, 06th Mar                     Jachelle                             09:41 AM, 06th Mar                     Jachelle                    I ordered since Wednesday           09:42 AM, 06th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            09:42 AM, 06th Mar                   New                   If you have any pictures that you would like to share, please do that.            09:42 AM, 06th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           09:42 AM, 06th Mar                     Jachelle                    I ordered this last Wednesday           09:44 AM, 06th Mar                   Alhamzi                   Hi Jachelle, thank you for contacting us. This's Alhamzi We would be happy to help you.           09:44 AM, 06th Mar                   Alhamzi                   Please wait while we check the details.            09:44 AM, 06th Mar                   Alhamzi                   I can see that delivery of this order has taken longer than our normal delivery time, and I am really very sorry for this delay. I know that you’ve been waiting for it.  We have forwarded your issue to our concern team. Our team is working on it. Once we will get any update we will get back to you.  Our courier partner will contact you to arrange a time for delivery. It should be with you soon.  Again, please accept our sincere apologies for this unexpected delay.           09:44 AM, 06th Mar                     Jachelle                    But since Thursday until now I only received this message           09:45 AM, 06th Mar                   Alhamzi                   Oure team will contact you to this number for delivery 971528820310           09:45 AM, 06th Mar                   Alhamzi                   Do you have any other inquiries that we can help with?           09:45 AM, 06th Mar                     Jachelle                    Yes this is my no.           09:45 AM, 06th Mar                   Alhamzi                   We are on it           09:48 AM, 06th Mar                   Alhamzi                   Do you have any other inquiries that we can help with?           09:48 AM, 06th Mar                     Jachelle                    So far thats the only thing I waited, thank you           09:48 AM, 06th Mar                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           09:51 AM, 06th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3981445